Page MenuHomePhabricator

Convert JsonConfig extension to use extension registration
Closed, ResolvedPublic

Description

The JsonConfig extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Legoktm created this task.Jan 30 2015, 2:06 AM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Needs Triage.
Legoktm added subscribers: Legoktm, Yurik.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2015, 2:06 AM
Spage updated the task description. (Show Details)Mar 3 2015, 4:20 AM
Spage set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 17 2015, 10:19 PM

I don't think this extension is a good one for GCI, the namespace integration is...unclear, and I'm not sure if we fully support it yet.

Change 262711 had a related patch set uploaded (by Paladox):
Add extension.json, empty PHP entry point

https://gerrit.wikimedia.org/r/262711

Reedy assigned this task to Paladox.Aug 6 2016, 12:18 AM

Change 262711 merged by jenkins-bot:
Add extension.json, empty PHP entry point

https://gerrit.wikimedia.org/r/262711

Legoktm closed this task as Resolved.Aug 10 2016, 6:46 AM